Skip to content
Snippets Groups Projects
Verified Commit 15c3a1fc authored by David Hoese's avatar David Hoese
Browse files

Fix CI tests and be a little more flexible with cleanup

parent 79be40ff
No related branches found
No related tags found
No related merge requests found
......@@ -23,10 +23,12 @@ check_and_uninstall() {
ns=$(./helpers/get_namespace.sh)
source ./ci_tests/get_release_names.sh
check_and_uninstall "${ns}" "${GRB_RELEASE_NAME}"
check_and_uninstall "${ns}" "${RABBITMQ_RELEASE_NAME}"
check_and_uninstall "${ns}" "${GEO2GRID_RELEASE_NAME}"
check_and_uninstall "${ns}" "${TILEGEN_RELEASE_NAME}"
check_and_uninstall "${ns}" "${MAPSERVER_RELEASE_NAME}"
check_and_uninstall "${ns}" "${MAPCACHE_RELEASE_NAME}"
check_and_uninstall "${ns}" "${CLIENT_RELEASE_NAME}"
EXIT_STATUS=0
check_and_uninstall "${ns}" "${GRB_RELEASE_NAME}" || EXIT_STATUS=$?
check_and_uninstall "${ns}" "${RABBITMQ_RELEASE_NAME}" || EXIT_STATUS=$?
check_and_uninstall "${ns}" "${GEO2GRID_RELEASE_NAME}" || EXIT_STATUS=$?
check_and_uninstall "${ns}" "${TILEGEN_RELEASE_NAME}" || EXIT_STATUS=$?
check_and_uninstall "${ns}" "${MAPSERVER_RELEASE_NAME}" || EXIT_STATUS=$?
check_and_uninstall "${ns}" "${MAPCACHE_RELEASE_NAME}" || EXIT_STATUS=$?
check_and_uninstall "${ns}" "${CLIENT_RELEASE_NAME}" || EXIT_STATUS=$?
exit $EXIT_STATUS
......@@ -70,6 +70,8 @@ sleep 30
debug "Getting GRB pod name"
GRB_POD_NAME=$(get_pod_name "${GRB_RELEASE_NAME}")
debug "GRB pod name: ${GRB_POD_NAME}"
GEO2GRID_POD_NAME=$(get_pod_name "${GEO2GRID_RELEASE_NAME}")
debug "Geo2Grid pod name: ${GEO2GRID_POD_NAME}"
run_grb_checks || error "GRB checks failed"
run_geo2grid_checks || error "Geo2Grid checks failed"
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment